### GET /api/v1/processfolders Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/processfolders ```markdown ### Parameters - **folderName** (string, query, optional): Folder Name - **folderId** (string, query, optional): Folder Id - **folderTypeName** (string, query, optional): Folder Type Name - **folderTypeId** (string, query, optional): Folder Type Id - **page** (string, query, optional): 0 - N - **count** (string, query, optional): 1 - 100 - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/processfolders?folderName=value&folderId=value&folderTypeName=value&folderTypeId=value&page=value&count=value" ``` ``` -------------------------------- ### GET /api/v1/equipments Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/equipments ```markdown ### Parameters - **name** (string, query, optional): Search for equipments with the specified name - **isActive** (string, query, optional): If set to "true" only active equipment will return - **equipmentTypeId** (string, query, optional): Search for equipment type id - **equipmentTypeName** (string, query, optional): Search for equipment types with the specified name - **page** (string, query, optional): The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count - **count** (string, query, optional): The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/equipments?name=value&isActive=value&equipmentTypeId=value&equipmentTypeName=value&page=value&count=value" ``` ``` -------------------------------- ### GET /api/v1/processfolders/{id} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/processfolders/{id} ```markdown ### Parameters - **id** (string, path, required): Folder Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/processfolders/{id}" ``` ``` -------------------------------- ### GET /api/v1/processfoldertypes Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/processfoldertypes ```markdown ### Parameters - **folderTypeName** (string, query, optional): Process Folder Type Name - **folderTypeSummary** (string, query, optional): Process Folder Type Summary - **isActive** (string, query, optional): Process Folder Type Is Active? - **page** (string, query, optional): Page number - **count** (string, query, optional): Count per page - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/processfoldertypes?folderTypeName=value&folderTypeSummary=value&isActive=value&page=value&count=value" ``` ``` -------------------------------- ### GET /api/v1/signatures Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/signatures ```markdown ### Parameters - **formId** (string, query, optional): Search signatures of a particular form id - **signedBy** (string, query, optional): Search signatures added by the specified employee id - **addedSince** (string, query, optional): Search signatures added after a specific utc datetime - **page** (string, query, optional): The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count - **count** (string, query, optional): The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/signatures?formId=value&signedBy=value&addedSince=value&page=value&count=value" ``` ``` -------------------------------- ### GET /api/v1/equipments/details/{equipmentId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/equipments/details/{equipmentId} ```markdown ### Parameters - **equipmentId** (string, path, required) - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/equipments/details/{equipmentId}" ``` ``` -------------------------------- ### GET /api/v1/schedules/signature/search Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/schedules/signature/search ```markdown ### Parameters - **formsDueOn** (string, query, optional) - **employeeIds** (string, query, optional) - **formTypeIds** (string, query, optional) - **locationIds** (string, query, optional) - **runFolderIds** (string, query, optional) - **status** (string, query, optional) - **page** (string, query, optional) - **count** (string, query, optional) - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/schedules/signature/search?formsDueOn=value&employeeIds=value&formTypeIds=value&locationIds=value&runFolderIds=value&status=value&page=value&count=value" ``` ``` -------------------------------- ### GET /api/v1/certifications Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/certifications ```markdown ### Parameters - **workerId** (string, query, optional): Search certifications for a particular worker - **certificationTypeId** (string, query, optional): Search certifications of a specific certification type - **issuer** (string, query, optional): Search certifications by issuer - **expired** (string, query, optional): Search expired certifications - **hasExpiryDate** (string, query, optional): Search certification with or without expiryDate - **daysLeftForExpiry** (string, query, optional): Search certifications with expiry date within the specified number of days - **attachmentId** (string, query, optional) - **filename** (string, query, optional) - **mimeType** (string, query, optional) - **page** (string, query, optional): The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count - **count** (string, query, optional): The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/certifications?workerId=value&certificationTypeId=value&issuer=value&expired=value&hasExpiryDate=value&daysLeftForExpiry=value&attachmentId=value&filename=value&mimeType=value&page=value&count=value" ``` ``` -------------------------------- ### GET /api/v1/incidentfolders Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/incidentfolders ```markdown ### Parameters - **folderName** (string, query, optional): Folder Name - **folderId** (string, query, optional): Folder Id - **folderTypeName** (string, query, optional): Folder Type Name - **folderTypeId** (string, query, optional): Folder Type Id - **page** (string, query, optional): 0 - N - **count** (string, query, optional): 1 - 100 - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/incidentfolders?folderName=value&folderId=value&folderTypeName=value&folderTypeId=value&page=value&count=value" ``` ``` -------------------------------- ### GET /api/v1/equipmentTypes Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/equipmentTypes ```markdown ### Parameters - **name** (string, query, optional): Search for equipment types with the specified name - **isActive** (string, query, optional) - **page** (string, query, optional): The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count - **count** (string, query, optional): The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/equipmentTypes?name=value&isActive=value&page=value&count=value" ``` ``` -------------------------------- ### GET /api/v1/workers/permissionProfile Source: https://api-1.sitedocs.com/swagger/docs/v1 App Permissions: 1 - User can add new locations 2 - User can add new Workers or Companies 3 - User can add certifications to their own worker profile 4 - User can edit certifications for their own worker profile 5 - User can add photo to their own worker information 6 - User can view other workers assigned to their location (workers tab) 7 - User can view other workers certifications 8 - User can view other workers information (email/phone/photo) 9 - User can view other workers emergency contact info 10 - User can assign or unassign other workers to their current location 11 - User can add photos for other workers 12 - User can edit certifications of other workers 13 - User can collect signatures from other workers 14 - User can request signatures on a private form 15 - User can access the Monitor from the Web App 16 - User can schedule a form from the Monitor Chat Permissions: 103 - User can create topics 104 - User can rename topics 106 - User can leave topics 107 - User can add/remove members to topics 108 - User can archive/unarchive topics 109 - User can send messages in Topics 110 - User can send messages in Location Chats 111 - User can start direct chats with other users 112 - User can edit their messages 113 - User can delete other user's messages 114 - User can delete their messages ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 400 - BadRequest BadRequest #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/workers/permissionProfile" ``` ``` -------------------------------- ### GET /api/v1/schedules/form/search Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/schedules/form/search ```markdown ### Parameters - **formsDueOn** (string, query, optional) - **employeeIds** (string, query, optional) - **formTypeIds** (string, query, optional) - **locationIds** (string, query, optional) - **runFolderIds** (string, query, optional) - **status** (string, query, optional) - **page** (string, query, optional) - **count** (string, query, optional) - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/schedules/form/search?formsDueOn=value&employeeIds=value&formTypeIds=value&locationIds=value&runFolderIds=value&status=value&page=value&count=value" ``` ``` -------------------------------- ### GET /api/v1/equipments/{equipmentId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/equipments/{equipmentId} ```markdown ### Parameters - **equipmentId** (string, path, required): Equipment Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/equipments/{equipmentId}" ``` ``` -------------------------------- ### GET /api/v1/lists/search Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/lists/search ```markdown ### Parameters - **name** (string, query, optional) - **isDeleted** (string, query, optional) - **page** (string, query, optional) - **count** (string, query, optional) - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/lists/search?name=value&isDeleted=value&page=value&count=value" ``` ``` -------------------------------- ### GET /api/v1/forms Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/forms ```markdown ### Parameters - **formTypeId** (string, query, optional): Search forms of a specific form type id - **locationId** (string, query, optional): Search forms on a specific location id - **signedBy** (string, query, optional): Search forms signed by the specified employee id - **signedSince** (string, query, optional): Search forms signed after the specified utc datetime - **submittedSince** (string, query, optional): Search forms submitted after the specified utc datetime - **label** (string, query, optional): Search forms with the specified label - **formType** (string, query, optional): Search forms of a specific type, the possible values are: form, followup or resource - **sortBy** (string, query, optional): Sort the result by a specific column, the supported values are: signedOn, submittedon. By default, the result is sorted by id this parameter is missing - **page** (string, query, optional): The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count - **count** (string, query, optional): The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/forms?formTypeId=value&locationId=value&signedBy=value&signedSince=value&submittedSince=value&label=value&formType=value&sortBy=value&page=value&count=value" ``` ``` -------------------------------- ### GET /api/v1/formtypes Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/formtypes ```markdown ### Parameters - **locationId** (string, query, optional): Search form types by location id - **type** (string, query, optional): Search form types by type, supported values are: form, followup and resource - **name** (string, query, optional): Search form types by name - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/formtypes?locationId=value&type=value&name=value" ``` ``` -------------------------------- ### GET /api/v1/processFolderAttachments/{folderId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/processFolderAttachments/{folderId} ```markdown ### Parameters - **folderId** (string, path, required): Folder Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/processFolderAttachments/{folderId}" ``` ``` -------------------------------- ### POST /api/v1/certifications Source: https://api-1.sitedocs.com/swagger/docs/v1 With Expiry Date: POST /certifications { "CertificationTypeId": "00000000-0000-0000-0000-000000000000", "Issuer": "string", "Ticket": "string", "WorkerId": "00000000-0000-0000-0000-000000000000", "Acquired": "2023-11-29T12:10:59.078Z", "Expires": "2023-11-29T12:10:59.078Z" } Without Expiry Date: GET /certifications { "CertificationTypeId": "00000000-0000-0000-0000-000000000000", "Issuer": "string", "Ticket": "string", "WorkerId": "00000000-0000-0000-0000-000000000000", "Acquired": "2023-11-29T12:10:59.078Z" } ```markdown ### Parameters - **certification** (CreateCertificationViewModel, body, required): New certification details - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 400 - BadRequest BadRequest #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X POST "https://api.example.com/api/v1/certifications" ``` ``` -------------------------------- ### GET /api/v1/processfolders/{id}/statuses Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/processfolders/{id}/statuses ```markdown ### Parameters - **id** (string, path, required): Process Folder ID - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/processfolders/{id}/statuses" ``` ``` -------------------------------- ### GET /api/v1/certificationtypes Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/certificationtypes ```markdown ### Parameters - **name** (string, query, optional): Search for certification types with the specified name - **isdeleted** (string, query, optional): If set to "true", the deleted certification types will be returned - **page** (string, query, optional): The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count - **count** (string, query, optional): The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/certificationtypes?name=value&isdeleted=value&page=value&count=value" ``` ``` -------------------------------- ### GET /api/v1/signatures/{signatureId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/signatures/{signatureId} ```markdown ### Parameters - **signatureId** (string, path, required): Signature Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/signatures/{signatureId}" ``` ``` -------------------------------- ### GET /api/v1/processfoldertypes/{folderTypeId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/processfoldertypes/{folderTypeId} ```markdown ### Parameters - **folderTypeId** (string, path, required): Process Folder Type Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - Returns the process run definition. Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/processfoldertypes/{folderTypeId}" ``` ``` -------------------------------- ### GET /api/v1/certifications/photo/{certificationId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/certifications/photo/{certificationId} ```markdown ### Parameters - **certificationId** (string, path, required): Certification Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/certifications/photo/{certificationId}" ``` ``` -------------------------------- ### GET /api/v1/incidentfolders/{id} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/incidentfolders/{id} ```markdown ### Parameters - **id** (string, path, required): Folder Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/incidentfolders/{id}" ``` ``` -------------------------------- ### GET /api/v1/lists/content/{listId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/lists/content/{listId} ```markdown ### Parameters - **listId** (string, path, required): List Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/lists/content/{listId}" ``` ``` -------------------------------- ### GET /api/v1/processFolderAttachments/content/{attachmentId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/processFolderAttachments/content/{attachmentId} ```markdown ### Parameters - **attachmentId** (string, path, required): Attachment Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/processFolderAttachments/content/{attachmentId}" ``` ``` -------------------------------- ### GET /api/v1/attachments/content Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/attachments/content ```markdown ### Parameters - **attachmentId** (string, query, required): Attachment Id - **domainObjectId** (string, query, required) - **kind** (string, query, required) - **fileName** (string, query, required) - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/attachments/content?attachmentId=value&domainObjectId=value&kind=value&fileName=value" ``` ``` -------------------------------- ### GET /api/v1/equipmentTypes/{equipmentTypeId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/equipmentTypes/{equipmentTypeId} ```markdown ### Parameters - **equipmentTypeId** (string, path, required): Equipment type Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/equipmentTypes/{equipmentTypeId}" ``` ``` -------------------------------- ### GET /api/v1/certifications/{certificationId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/certifications/{certificationId} ```markdown ### Parameters - **certificationId** (string, path, required): Certification Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/certifications/{certificationId}" ``` ``` -------------------------------- ### GET /api/v1/lists/{listId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/lists/{listId} ```markdown ### Parameters - **listId** (string, path, required): List Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/lists/{listId}" ``` ``` -------------------------------- ### GET /api/v1/forms/content/{formId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/forms/content/{formId} ```markdown ### Parameters - **formId** (string, path, required): Form Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/forms/content/{formId}" ``` ``` -------------------------------- ### GET /api/v1/forms/{formId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/forms/{formId} ```markdown ### Parameters - **formId** (string, path, required): Form Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/forms/{formId}" ``` ``` -------------------------------- ### GET /api/v1/blobs/{blobId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/blobs/{blobId} ```markdown ### Parameters - **blobId** (string, path, required): Blob Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/blobs/{blobId}" ``` ``` -------------------------------- ### GET /api/v1/formtypes/content/{formTypeId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/formtypes/content/{formTypeId} ```markdown ### Parameters - **formTypeId** (string, path, required): Form type Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/formtypes/content/{formTypeId}" ``` ``` -------------------------------- ### GET /api/v1/certifications/attachment/{attachmentId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/certifications/attachment/{attachmentId} ```markdown ### Parameters - **attachmentId** (string, path, required): Attachment Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/certifications/attachment/{attachmentId}" ``` ``` -------------------------------- ### GET /api/v1/incidentFolderAttachments/{folderId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/incidentFolderAttachments/{folderId} ```markdown ### Parameters - **folderId** (string, path, required) - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/incidentFolderAttachments/{folderId}" ``` ``` -------------------------------- ### GET /api/v1/companies/details/{companyId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/companies/details/{companyId} ```markdown ### Parameters - **companyId** (string, path, required) - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/companies/details/{companyId}" ``` ``` -------------------------------- ### GET /api/v1/certificationtypes/{certificationTypeId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/certificationtypes/{certificationTypeId} ```markdown ### Parameters - **certificationTypeId** (string, path, required): Certification type Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/certificationtypes/{certificationTypeId}" ``` ``` -------------------------------- ### GET /api/v1/workers Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/workers ```markdown ### Parameters - **firstName** (string, query, optional): Search for employees by first name - **lastName** (string, query, optional): Search for employees by last name - **jobTitle** (string, query, optional): Search for employees by job title - **isArchived** (string, query, optional): Search for archived employees - **locationId** (string, query, optional): Search for employees assigned to a particular location - **contractorId** (string, query, optional): Search for contractor Id - **contractorName** (string, query, optional): Search for contractor Name - **isExternal** (string, query, optional): Search For External / Internal Workers - **page** (string, query, optional): The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count - **count** (string, query, optional): The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/workers?firstName=value&lastName=value&jobTitle=value&isArchived=value&locationId=value&contractorId=value&contractorName=value&isExternal=value&page=value&count=value" ``` ``` -------------------------------- ### POST /api/v1/equipments/activate Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for POST /api/v1/equipments/activate ```markdown ### Parameters - **request** (ActivateOrInactiveEquipmentViewModel, body, required): A model containing the equipment id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 400 - BadRequest BadRequest #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X POST "https://api.example.com/api/v1/equipments/activate" ``` ``` -------------------------------- ### GET /api/v1/incidentfolders/{id}/statuses Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/incidentfolders/{id}/statuses ```markdown ### Parameters - **id** (string, path, required): Incident Folder ID - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/incidentfolders/{id}/statuses" ``` ``` -------------------------------- ### POST /api/v1/processfolders Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for POST /api/v1/processfolders ```markdown ### Parameters - **processfolder** (CreateProcessFolderViewModel, body, required) - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 400 - BadRequest BadRequest #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X POST "https://api.example.com/api/v1/processfolders" ``` ``` -------------------------------- ### GET /api/v1/export/pdf/company/{companyId}/form/{formId} Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/export/pdf/company/{companyId}/form/{formId} ```markdown ### Parameters - **formId** (string, path, required): Form Id - **companyId** (string, path, required): Company Id - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/export/pdf/company/{companyId}/form/{formId}" ``` ``` -------------------------------- ### POST /api/v1/processFolderAttachments/pdfSummary Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for POST /api/v1/processFolderAttachments/pdfSummary ```markdown ### Parameters - **folderId** (string, query, required) - **locationId** (string, query, required) - **label** (string, query, required) - **status** (string, query, optional) - **comment** (string, query, optional) - **Authorization** (string, header, required): Authorization token - **attachment** (string, formData, required): Upload File ### Responses #### 200 - OK Empty response body #### 400 - BadRequest BadRequest #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X POST "https://api.example.com/api/v1/processFolderAttachments/pdfSummary?folderId=value&locationId=value&label=value&status=value&comment=value" ``` ``` -------------------------------- ### PUT /api/v1/processfolders Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for PUT /api/v1/processfolders ```markdown ### Parameters - **folder** (UpdateProcessFolderViewModel, body, required): Folder update model - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 400 - BadRequest BadRequest #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X PUT "https://api.example.com/api/v1/processfolders" ``` ``` -------------------------------- ### GET /api/v1/locations Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/locations ```markdown ### Parameters - **name** (string, query, optional): Search locations by name - **startDate** (string, query, optional): Search locations by start date - **endDate** (string, query, optional): Search locations by end date - **isArchived** (string, query, optional): If set to "true", the archived locations will be returned - **page** (string, query, optional): The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count - **count** (string, query, optional): The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/locations?name=value&startDate=value&endDate=value&isArchived=value&page=value&count=value" ``` ``` -------------------------------- ### POST /api/v1/processFolderAttachments Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for POST /api/v1/processFolderAttachments ```markdown ### Parameters - **folderId** (string, query, required) - **Authorization** (string, header, required): Authorization token - **attachment** (string, formData, required): Upload File ### Responses #### 200 - OK Empty response body #### 400 - BadRequest BadRequest #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X POST "https://api.example.com/api/v1/processFolderAttachments?folderId=value" ``` ``` -------------------------------- ### GET /api/v1/incidentfoldertypes Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for GET /api/v1/incidentfoldertypes ```markdown ### Parameters - **folderTypeName** (string, query, optional): Incident Folder Type Name - **folderTypeSummary** (string, query, optional): Incident Folder Type Summary - **isActive** (string, query, optional): Incident Folder Type Is Active? - **page** (string, query, optional): Page number - **count** (string, query, optional): Count per page - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/incidentfoldertypes?folderTypeName=value&folderTypeSummary=value&isActive=value&page=value&count=value" ``` ``` -------------------------------- ### POST /api/v1/processfolders/createstatus Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for POST /api/v1/processfolders/createstatus ```markdown ### Parameters - **model** (CreateFolderStatusViewModel, body, required): Create status model - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 400 - BadRequest BadRequest #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X POST "https://api.example.com/api/v1/processfolders/createstatus" ``` ``` -------------------------------- ### POST /api/v1/equipments Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for POST /api/v1/equipments ```markdown ### Parameters - **equipment** (CreateEquipmentViewModel, body, required): New equipment details - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 400 - BadRequest BadRequest #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X POST "https://api.example.com/api/v1/equipments" ``` ``` -------------------------------- ### POST /api/v1/incidentFolderAttachments/pdfSummary Source: https://api-1.sitedocs.com/swagger/docs/v1 API endpoint for POST /api/v1/incidentFolderAttachments/pdfSummary ```markdown ### Parameters - **folderId** (string, query, required) - **locationId** (string, query, required) - **label** (string, query, required) - **status** (string, query, optional) - **comment** (string, query, optional) - **Authorization** (string, header, required): Authorization token - **attachment** (string, formData, required): Upload File ### Responses #### 200 - OK Empty response body #### 400 - BadRequest BadRequest #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound #### 429 - TooManyRequests TooManyRequests #### 500 - InternalServerError InternalServerError ### Example Usage ```bash curl -X POST "https://api.example.com/api/v1/incidentFolderAttachments/pdfSummary?folderId=value&locationId=value&label=value&status=value&comment=value" ``` ```